Class: Aws::IAM::Types::ContextProvider

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb

Overview

Contains the trusted identity propagation context provider configuration for a SAML or OpenID Connect (OIDC) identity provider. The context provider defines how the subject is derived and how keys from the external identity provider's assertion or token are mapped into trusted context keys.

This data type is used as a request parameter in the CreateOpenIDConnectProvider, UpdateOpenIDConnectProvider, CreateSAMLProvider, and UpdateSAMLProvider operations, and as a response element in the GetOpenIDConnectProvider and GetSAMLProvider operations.

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#key_definition_list ⇒ Array<Types::ContextProviderKeyDefinition>

A list of source-to-target key mappings that define how keys from the external identity provider's assertion or token are mapped into trusted context keys. You can specify from 0 to 10 mappings.



782
783
784
785
786
787
788
789
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 782

class ContextProvider < Struct.new(
  :key_definition_list,
  :subject_source_key,
  :subject_type_value,
  :subject_type_source_key)
  SENSITIVE = []
  include Aws::Structure
end

#subject_source_key ⇒ String

The source key that is used to derive the subject for the injected trusted context. This value identifies the claim or attribute in the external identity provider's assertion or token that supplies the subject.

The key can contain only ASCII letters (A-Z, a-z), numbers (0-9), single spaces, and the following characters: _ . : / = + - @ #. It can't start or end with a space or contain two spaces in a row.

Returns:

  • (String)


782
783
784
785
786
787
788
789
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 782

class ContextProvider < Struct.new(
  :key_definition_list,
  :subject_source_key,
  :subject_type_value,
  :subject_type_source_key)
  SENSITIVE = []
  include Aws::Structure
end

#subject_type_source_key ⇒ String

The source key that supplies the subject type from the external identity provider's assertion or token.

The key can contain only ASCII letters (A-Z, a-z), numbers (0-9), single spaces, and the following characters: _ . : / = + - @ #. It can't start or end with a space or contain two spaces in a row.

This parameter is mutually exclusive with SubjectTypeValue. Specify either SubjectTypeSourceKey or SubjectTypeValue, but not both.

Returns:

  • (String)


782
783
784
785
786
787
788
789
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 782

class ContextProvider < Struct.new(
  :key_definition_list,
  :subject_source_key,
  :subject_type_value,
  :subject_type_source_key)
  SENSITIVE = []
  include Aws::Structure
end

#subject_type_value ⇒ String

A static value for the subject type, such as user or workload.

This parameter is optional and is mutually exclusive with SubjectTypeSourceKey. Specify either SubjectTypeValue or SubjectTypeSourceKey, but not both.

Returns:

  • (String)


782
783
784
785
786
787
788
789
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 782

class ContextProvider < Struct.new(
  :key_definition_list,
  :subject_source_key,
  :subject_type_value,
  :subject_type_source_key)
  SENSITIVE = []
  include Aws::Structure
end